package ms.itsecteam.warpdrink.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;

import ms.itsecteam.warpdrink.MainActivity;
import ms.itsecteam.warpdrink.R;
import ms.itsecteam.warpdrink.manager.DataManager;
import ms.itsecteam.warpdrink.manager.MainManager;

public class PayChoiceDialog extends Dialog implements
        View.OnClickListener {
    private Button btnCredit,btnCash;

    public PayChoiceDialog() {
        super(MainManager.getInstance().getMainActivity());

 ;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.pay_choice_dialog);

        btnCredit = (Button) findViewById(R.id.btnCredit);
        btnCash = (Button) findViewById(R.id.btnCash);


        btnCredit.setOnClickListener(this);
        btnCash.setOnClickListener(this);

        if(DataManager.getInstance().getIs_guest())
            btnCredit.setEnabled(false);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btnCredit:
                MainManager.getInstance().performPayment(true);
                break;
            case R.id.btnCash:
                MainManager.getInstance().performPayment(false);
                break;

            default:
                break;
        }
        dismiss();
    }
}
